<%@taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<html>
<head>
<title>Spring MVC Form Submission</title>
<style type="text/css">
.error {
	color:#FF0000;
	font-weight: bold;
}
</style>
</head>
<body>
	<form:form method="POST" action="addCustomer" modelAttribute="customer">
		<table>
			<tr>
				<td>First Name:</td>
				<td><form:input path="firstName" /></td>
				<td><form:errors cssClass="error" path="firstName" /></td>
			</tr>
			<tr>
				<td>Last Name:</td>
				<td><form:input path="lastName" /></td>
				<td><form:errors cssClass="error" path="lastName" /></td>
			</tr>
			<tr>
				<td>Address:</td>
				<td colspan="2"><form:input path="address" /></td>
			</tr>
			<tr>
				<td>Contact:</td>
				<td colspan="2"><form:input path="contact" /></td>
			</tr>
			<tr>
				<td colspan="3"><input type="submit" value="Submit" /></td>
			</tr>
		</table>
	</form:form>
</body>
</html>